#ifndef _omymaterialhelper_H_
#define _omymaterialhelper_H_

enum
{
	//MAT TYPE
	MATERIAL	= 1001,
	MAT_TYPE	= 1002,
	DIFFUSE		= 1003,
	PHONG		= 1004,
	SPECULAR	= 1005,
	GLOSSY_TRANSPARENT	= 1006,
	DIFFUSE_TRANS	= 1023,
	BLEND_MATERIAL	= 1030,
	ORENNAYAR		= 1101,
	EXTERNAL_MATERIAL	= 1132,

	ID_ALBEDO		= 1007,
	ID_PHONG		= 1008,
	ID_SPECULAR		= 1009,
	ID_BLENDMAP		= 1012,

	//DIFFUSE
	ALBEDO_COLOR	= 1013,
	ALBEDO_GAMMA	= 1014,

	//PHONG
	PHONG_IOR		= 1016,
	EXPONENT_VALUE	= 1017,

	USE_NK			= 1018,
	NK_NAME			= 1019,

	//SPECULAR
	SPECULAR_TRANSP	= 1020,

	//BLEND MTERIAL
	MATERIAL1		= 1025,
	MATERIAL2		= 1026,
	BLEND_FACTOR	= 1028,

	//MEDIUM TYPE
	ID_INTERNALMEDIUM	= 1031,
	MEDIUM_TYPE			= 1032,
	BASIC				= 1033,
	DERMIS				= 1034,
	EPIDERMIS			= 1035,

	ID_BASIC		= 1036,
	ID_DERMIS		= 1037,
	ID_EPIDERMIS	= 1038,

	//MEDIUM
	PRECEDENCE		= 1039,
	IOR				= 1040,
	CAUCHY_B		= 1041,

	//absorption
	ABSORPTION_SPECTRUMTYPE				= 1042,
	ABSORPTION_SPECTRUMTYPE_PEAK		= 1043,
	ABSORPTION_SPECTRUMTYPE_RGB			= 1044,
	ABSORPTION_SPECTRUMTYPE_BLACKBODY	= 1045,
	ABSORPTION_SPECTRUMTYPE_UNIFORM		= 1046,

	ABSORPTION_SPECTRUM_BLACKBODY		= 1047,
	ABSORPTION_SPECTRUM_RGB				= 1048,
	ABSORPTION_SPECTRUM_UNIFORM			= 1049,
	ABSORPTION_SPECTRUM_PEAK			= 1050,

	ABSORPTION_SPECTRUM_BLACKBODY_TEMP	= 1051,
	ABSORPTION_SPECTRUM_BLACKBODY_GAIN	= 1052,
	ABSORPTION_SPECTRUM_UNIFORM_VALUE	= 1053,
	ABSORPTION_SPECTRUM_RGB_COLOR		= 1054,
	ABSORPTION_SPECTRUM_RGB_GAMMA		= 1055,

	//scattering
	SCATTERING_SPECTRUMTYPE				= 1056,
	SCATTERING_SPECTRUMTYPE_PEAK		= 1057,
	SCATTERING_SPECTRUMTYPE_RGB			= 1058,
	SCATTERING_SPECTRUMTYPE_BLACKBODY	= 1059,
	SCATTERING_SPECTRUMTYPE_UNIFORM		= 1060,

	SCATTERING_SPECTRUM_BLACKBODY		= 1061,
	SCATTERING_SPECTRUM_RGB				= 1062,
	SCATTERING_SPECTRUM_UNIFORM			= 1063,
	SCATTERING_SPECTRUM_PEAK			= 1064,

	SCATTERING_SPECTRUM_BLACKBODY_TEMP	= 1065,
	SCATTERING_SPECTRUM_BLACKBODY_GAIN	= 1066,
	SCATTERING_SPECTRUM_UNIFORM_VALUE	= 1067,
	SCATTERING_SPECTRUM_RGB_COLOR		= 1068,
	SCATTERING_SPECTRUM_RGB_GAMMA		= 1069,

	//phase function
	PHASE_FUNCTION						= 1070,
	PHASE_FUNCTION_UNIFORM				= 1071,
	PHASE_FUNCTION_GREENSTEIN			= 1072,

	ID_PHASE_GREENSTEIN					= 1073,

	PHASE_FUNCTION_GREENSTEIN_UNIFORM_VALUE		= 1074,

	//DERMIS
	HEMOGLOBIN_FRACTION	= 1075,

	//EPIDERMIS
	MELANIN_FRACTION	= 1076,
	MELANIN_TYPE_BLEND	= 1077,

	//SSS
	SSS_SWITCH		= 1078,

	ID_SSS			= 1079,

	BUMPMAP_EXP		= 1081,
	BUMPMAP_A		= 1082,
	BUMPMAP_B		= 1087,
	BUMPMAP_C		= 1088,

	EXPONENTMAP_EXP	= 1089,
	EXPONENTMAP_A	= 1090,
	EXPONENTMAP_B	= 1091,
	EXPONENTMAP_C	= 1092,

	// IMPORT/EXPORT
	EXPORT_IGM		= 1083,

	// APPLIE CHANGES / PREVIEW
	BTN_INDIGOMAT_PREVIEW	= 1085,
	APPLY_TO_MAT			= 1086,
	INDIGOMAT_PREVIEW		= 1096,
	INDIGOMAT_PREVIEW_PATH	= 1097,

	// GAIN
	SCATTERING_SPECTRUM_RGB_GAIN	= 1098,
	ABSORPTION_SPECTRUM_RGB_GAIN	= 1099,

	SIGMA_VALUE		= 1104,

	USE_SPECULAR_REFLECT	= 1105,

	PHASE_FUNCTION_GREENSTEIN_TYPE	= 1106,
	PHASE_FUNCTION_GREENSTEIN_UNIFORM = 1107,
	PHASE_FUNCTION_GREENSTEIN_RGB	= 1108,

	PHASE_FUNCTION_GREENSTEIN_RGB_R	= 1109,
	PHASE_FUNCTION_GREENSTEIN_RGB_G	= 1110,
	PHASE_FUNCTION_GREENSTEIN_RGB_B	= 1111,

	ID_PHASE_GREENSTEIN_RGB		= 1112,

	PHASE_FUNCTION_GREENSTEIN_RGB_GAMMA	= 1113,

	SCATTERING_SPECTRUMTYPE_TABULATED		= 1114,
	SCATTERING_SPECTRUM_TABULATED			= 1115,
	SCATTERING_SPECTRUM_TABULATED_STARTWL	= 1116,
	SCATTERING_SPECTRUM_TABULATED_ENDWL		= 1117,
	SCATTERING_SPECTRUM_TABULATED_VALUES	= 1118,
	SCATTERING_SPECTRUM_TABULATED_NUMVALUES	= 1119,

	ABSORPTION_SPECTRUMTYPE_TABULATED		= 1120,
	ABSORPTION_SPECTRUM_TABULATED			= 1121,
	ABSORPTION_SPECTRUM_TABULATED_STARTWL	= 1122,
	ABSORPTION_SPECTRUM_TABULATED_ENDWL		= 1123,
	ABSORPTION_SPECTRUM_TABULATED_VALUES	= 1124,
	ABSORPTION_SPECTRUM_TABULATED_NUMVALUES	= 1125,

	//DISPLACEMENT ABC
	DISPLACEMENTMAP_EXP		= 1127,
	DISPLACEMENTMAP_A		= 1128,
	DISPLACEMENTMAP_B		= 1129,
	DISPLACEMENTMAP_C		= 1130,

	//EMISSION GROUP
	ID_EMISSION			= 1131,

	EMISSION_USE		= 1132,
	EMISSION_SPEC		= 1133,
	EMISSION_LAYER		= 1134,
		
	EMISSION_SPECTRUMTYPE				= 1135,
	EMISSION_SPECTRUMTYPE_RGB			= 1136,
	EMISSION_SPECTRUMTYPE_UNIFORM		= 1137,
	EMISSION_SPECTRUMTYPE_BLACKBODY		= 1138,
	EMISSION_SPECTRUMTYPE_TABULATED		= 1139,
	EMISSION_SPECTRUMTYPE_PEAK			= 1140,

	EMISSION_SPECTRUM_RGB			= 1141,
	EMISSION_SPECTRUM_RGB_COLOR		= 1142,
	EMISSION_SPECTRUM_RGB_GAMMA		= 1143,
	EMISSION_SPECTRUM_RGB_GAIN		= 1144,
	
	EMISSION_SPECTRUM_UNIFORM			= 1145,
	EMISSION_SPECTRUM_UNIFORM_VALUE		= 1146,

	EMISSION_SPECTRUM_BLACKBODY			= 1147,
	EMISSION_SPECTRUM_BLACKBODY_TEMP	= 1148,
	EMISSION_SPECTRUM_BLACKBODY_GAIN	= 1149,
	
	EMISSION_SPECTRUM_TABULATED				= 1150,
	EMISSION_SPECTRUM_TABULATED_STARTWL		= 1151,
	EMISSION_SPECTRUM_TABULATED_ENDWL		= 1152,
	EMISSION_SPECTRUM_TABULATED_NUMVALUES	= 1153,
	EMISSION_SPECTRUM_TABULATED_VALUES		= 1154,

	EMISSION_SPECTRUM_PEAK	= 1155,

	//NEW ELEMENTS (1200 and above)
	ALBEDO_EXP		= 1200,
	ALBEDO_A		= 1201,
	ALBEDO_B		= 1202,
	ALBEDO_C		= 1203,

	EMISSION_EXP	= 1204,
	EMISSION_A		= 1205,
	EMISSION_B		= 1206,
	EMISSION_C		= 1207,

	BLEND_EXP		= 1208,
	BLEND_A			= 1209,
	BLEND_B			= 1210,
	BLEND_C			= 1211,

	STEP_BLEND		= 1212,

	ID_MATERIALABC_ALBEDO			= 1213,
	ID_MATERIALABC_BUMP				= 1214,
	ID_MATERIALABC_DISPLACEMENT		= 1215,
	ID_MATERIALABC_EMISSION			= 1216,
	ID_MATERIALABC_EXPONENT			= 1217,
	ID_MATERIALABC_BLEND			= 1218,

	ID_EXTERNAL_MATERIAL	= 1219,
	ID_BUMP					= 1220,
	ID_DISPLACEMENT			= 1221,
	ID_EXPONENT				= 1222,
	ID_SIGMA				= 1223,
	ID_BLEND				= 1224,

	EXTERNAL_FILENAME		= 1225,

	ID_GENERALMATSETTINGS	= 1226,
};

#endif




